#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	Scope
%define	pnam	Upper
Summary:	Scope::Upper - Act on upper scopes.
#Summary(pl.UTF-8):	
Name:		perl-Scope-Upper
Version:	0.34
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Scope/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a84661f57308fc7382f7c768d689b8fa
URL:		http://search.cpan.org/dist/Scope-Upper/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module lets you defer actions at run-time that will take place
when the control flow returns into an upper scope.

# %description -l pl.UTF-8
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a samples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%dir %{perl_vendorarch}/Scope
%dir %{perl_vendorarch}/auto/Scope
%{perl_vendorarch}/Scope/*.pm
%dir %{perl_vendorarch}/auto/Scope/Upper
%attr(755,root,root) %{perl_vendorarch}/auto/Scope/Upper/*.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri Jul 07 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Scope-Upper.git;a=log;h=master

* Fri Jul 07 2023 Jan Palus <atler@pld-linux.org> 3c40625
- up to 0.34

* Tue Aug 23 2022 Jan Palus <atler@pld-linux.org> 8b8bc78
- up to 0.33

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 3364324
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> ca9c938
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> f497cf4
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> a47f7a7
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 54231e0
- up to 0.32

* Thu Feb 21 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e0cf0e
- up to 0.31

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 9948423
- rebuild with perl 5.28.0
- release 2 (by relup.sh)

* Thu Mar 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d824ffd
- up to 0.30

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> af34def
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 5debaba
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Wed Nov 02 2016 Jan Rękorajski <baggins@pld-linux.org> 0d2aca9
- release 2 (by relup.sh)

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d9f6962
- up to 0.29

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 7ac4f7c
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7f8d88b
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 74430e8
- x32 rebuild
- release 2 (by relup.sh)

* Wed Sep 17 2014 Jan Rękorajski <baggins@pld-linux.org> b9a0c6c
- up to 0.24

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 95d8eae
- release 3 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 0d26e21
- removed zero-sized .bs file

